// Configurable stuff...

/*
  Most of what was in here can now be configured via command line options.
  If you would like to change the compiled-in defaults instead, you can find
  them near the top of option.c, but see help.txt as the values used for some
  of the options have changed.

  Only the filter quality remains, at least until I sort out some way to make
  it run-time configurable as well.  (It presently chooses between multiple
  sets of functions with identical names, so they can't all be compiled in.)
*/


#define FILTER_QUALITY 0

/*
  Being the only difficult part of a software radio, the filters are
  where all of the quality comes from, and also where much of the CPU
  usage goes.  So adjust to your needs and available CPU time.

  0 = Extreme Quality -- Likely perfect filtering, highest CPU usage.

  1 = Moderate Quality -- These filters work OK in most circumstances.

  2 = Minimal Quality -- Work fine when there's no interference, but if
  you're trying to listen to weak signals when strong signals are around,
  then these filters will result in worse reception as they won't totally
  filter out the stronger signals.
*/
