/*
  This code is released under the Antivirial License.

  http://www.ecstaticlyrics.com/antiviral/

  The only condition of the license is that you may not change the license
  terms.  Because of this, you may *not* include this code in GPL-licensed
  projects, as the GPL requires that the entire project be GPL-licensed.
*/

#ifndef MEMORY_H
#define MEMORY_H

#ifdef TEST
#define memory_allocate(pointer, size) memory__allocate((void **) &(pointer), size, __FILE__, __LINE__)
void memory_initialize();
void memory__allocate(void **, int, char *, int);
void memory_terminate();
#else
#define memory_initialize()
#define memory_allocate(pointer, size) pointer = realloc(pointer, size)
#define memory__allocate(pointer, size, file, line) *pointer = realloc(*pointer, size)
#define memory_terminate()
#endif

#endif
